﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Configuration;
using CameraClient;
using System.Threading;
using SkyLordGateClient.BusinessLogic;

namespace SkyLordGateClient.UserInterface
{
    public partial class AudioVideoSettingsForm : Form
    {
        #region Local variables at form level

        Subscriber s = null;
        Thread th;

        #endregion

        public AudioVideoSettingsForm()
        {
            InitializeComponent();

            webcamsComboBox.DataSource = BusinessLogicManager.Instance.GetVideoDevices();
            
            ThreadStart ts = new ThreadStart(RunSubscribe);
            th = new Thread(ts);
            th.Start();
        }

        private void applyButton_Click(object sender, EventArgs e)
        {

        }

        private void OKButton_Click(object sender, EventArgs e)
        {

        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void RunSubscribe()
        {
            s = new Subscriber();
            s.IPAddress = BusinessLogicManager.Instance.GetUserIPAddress(BusinessLogicManager.Instance.GetUserID());
            s.Port = BusinessLogicManager.Instance.GetUserVideoPort(BusinessLogicManager.Instance.GetUserID());
            s.SuscribeImage(pictureBox1);
        }
    }
}
